Debian Bug report logs - #559695
kfreebsd-8 - Incomplete licensing information

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 6 Dec 2009 12:51:01 UTC

Severity: serious

Found in version 8.0-1

Fixed in version kfreebsd-8/8.0-3

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#559695; Package kfreebsd-8. (Sun, 06 Dec 2009 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 06 Dec 2009 12:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: kfreebsd-8 - Incomplete licensing information
Date: Sun, 6 Dec 2009 13:44:28 +0100
Package: kfreebsd-8
Version: 8.0-1
Severity: serious

The licensing information in the copyright file of the kfreebsd-8
package are incomplete and missleading. It refers to
/usr/share/common-licenses/BSD, which is a 3-clause license. Also it
lists licenses of sources that are not actually included in the source
package.

I found at least 4 different BSD-style licenses, one 2-clause, one
3-clause and two 4-clause licenses. Examples:
- xen/reboot.c: 4-clause with the following advertising clause:
    This product includes software developed by Christian Limpach.
- nfsclient/bootp_subr.c: 4-clause with the following advertising
  clause:
    This product includes software developed by the University of
    California, Lawrence Berkeley Laboratory and its contributors.
- amd64/amd64/amd64_mem.c: 2-clause.
- dev/aic7xxx/ahc_isa.c: 3-clause; kind off I think.

Bastian

-- 
War is never imperative.
		-- McCoy, "Balance of Terror", stardate 1709.2




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Wed, 27 Jan 2010 09:54:07 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jan 2010 09:54:07 GMT) Full text and rfc822 format available.

Message #10 received at 559695-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 559695-close@bugs.debian.org
Subject: Bug#559695: fixed in kfreebsd-8 8.0-3
Date: Wed, 27 Jan 2010 09:52:20 +0000
Source: kfreebsd-8
Source-Version: 8.0-3

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.0-3.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.0-3.diff.gz
kfreebsd-8_8.0-3.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.0-3.dsc
kfreebsd-headers-8-amd64_8.0-3_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.0-3_kfreebsd-amd64.deb
kfreebsd-headers-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
kfreebsd-headers-8.0-1_8.0-3_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.0-1_8.0-3_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.0-3_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.0-3_kfreebsd-amd64.deb
kfreebsd-image-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
kfreebsd-source-8.0_8.0-3_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.0_8.0-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559695@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Jan 2010 21:51:22 +0100
Source: kfreebsd-8
Binary: kfreebsd-source-8.0 kfreebsd-headers-8.0-1 kfreebsd-image-8.0-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.0-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.0-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.0-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.0-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.0-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.0-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.0-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.0-3
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.0-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.0-1-486 - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-686 - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-686-smp - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-amd64 - header files for kernel of FreeBSD 8.0
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.0-1-486 - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-686 - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-686-smp - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-amd64 - kernel of FreeBSD 8.0 image
 kfreebsd-source-8.0 - source code for kernel of FreeBSD 8.0 with Debian patches
Closes: 541427 559695
Changes: 
 kfreebsd-8 (8.0-3) unstable; urgency=low
 .
   * Enable superpages by default on i386.
   * Fix debian/copyright.  Closes: bug#559695, bug#541427.
   * Enable options to get an UTF-8 console.
Checksums-Sha1: 
 a3aa8a59bca68896f4874ee9efe12e67c2f481cd 1870 kfreebsd-8_8.0-3.dsc
 d646ee59e6002424ebb530730e3c1850492fae71 67539 kfreebsd-8_8.0-3.diff.gz
 13df1657396150978f17d93b62d884fbcf510c24 22918998 kfreebsd-source-8.0_8.0-3_all.deb
 7008c2bb5ca1856ccfc857ba76c4f2d2b4f9beee 8354244 kfreebsd-headers-8.0-1_8.0-3_kfreebsd-amd64.deb
 472d17a47d399fa69aa35698bf305244cc131b7d 12990798 kfreebsd-image-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 ff6903c543b02c6b5589dc22c6a3f27ebaf14943 45670 kfreebsd-image-8-amd64_8.0-3_kfreebsd-amd64.deb
 21c8beec65b657577b5d26dae318d60279ab5ab0 296736 kfreebsd-headers-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 9e1758c159111584fb8d8ad906fdd22db0868e78 45672 kfreebsd-headers-8-amd64_8.0-3_kfreebsd-amd64.deb
Checksums-Sha256: 
 a6f603453e6e02d575b0dcb4fec1564f6af37fda834df2fabd9a73770b915814 1870 kfreebsd-8_8.0-3.dsc
 e6889f731211bb16dbee375eb887412badd13875e3760721947e3977a3e2934b 67539 kfreebsd-8_8.0-3.diff.gz
 9bc42579b79609a672275f759fa0663307f303344ba12f6f340849bec0c60fe5 22918998 kfreebsd-source-8.0_8.0-3_all.deb
 b7d8f2cd11dae17732c76e7c14104a5ce34d1336ab3e224c583f291dea066db1 8354244 kfreebsd-headers-8.0-1_8.0-3_kfreebsd-amd64.deb
 2ba49c10f09a177c35a0eef65b81e7aa8ef8585da20d4d0cc19f0b72a2c7c33a 12990798 kfreebsd-image-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 549aed9ff745911bb27b38098cf6cee246a821abda925ae61b0ad0e92de0d4ce 45670 kfreebsd-image-8-amd64_8.0-3_kfreebsd-amd64.deb
 ea1b2ee50ba6ecf5a1ba611099d1ac0539eb431c8a6c44fd89947fbc746d6566 296736 kfreebsd-headers-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 1dc5da7366058c4e96ab968b1d7fa2f04a8982300bad6641c15941e8f4b2dd72 45672 kfreebsd-headers-8-amd64_8.0-3_kfreebsd-amd64.deb
Files: 
 731bccb3e9ec9143c2497f963f19b554 1870 kernel optional kfreebsd-8_8.0-3.dsc
 22c4d0a7582ae6219ab0fa33f4385730 67539 kernel optional kfreebsd-8_8.0-3.diff.gz
 f427b5fcda6be61b88e4cf1c41e49573 22918998 kernel optional kfreebsd-source-8.0_8.0-3_all.deb
 7ef9a3a0f3ca0ad525d71df5cec55af4 8354244 kernel optional kfreebsd-headers-8.0-1_8.0-3_kfreebsd-amd64.deb
 ee7fdb6402c74b867da6754dcc5aa4a5 12990798 kernel optional kfreebsd-image-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 da8150a28e01581d491d18d060dfd465 45670 kernel optional kfreebsd-image-8-amd64_8.0-3_kfreebsd-amd64.deb
 e635b65e46c4d7ce62c0109abe51ee0f 296736 kernel optional kfreebsd-headers-8.0-1-amd64_8.0-3_kfreebsd-amd64.deb
 d9ef9ab1d11c832016dadc3eb38700ea 45672 kernel optional kfreebsd-headers-8-amd64_8.0-3_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFLX2FPw3ao2vG823MRArHTAJ9kf/hreJyoDuQZ2MlcukS9lVndwgCfVdBV
KiTfGwXMvCPrpK0rs1ETRWo=
=M8L1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 07 Mar 2010 07:44:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:53:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.